## org.gnu.gdk
Class Image

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gdk.Image

public class Image
extends GObject

Image represents an area for drawing graphics.

Constructor Summary
`Image(org.gnu.glib.Handle handle)`
`Image(ImageType type, Visual visual, int width, int height)` Create a new Image.

Method Summary
`Colormap` `getColormap()` Retrieves the colormap for a given image.
`void` `setColormap(Colormap cmap)` Sets the colormap for the image.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image

    public Image(org.gnu.glib.Handle handle)

### Image

    public Image(ImageType type,
                 Visual visual,
                 int width,
                 int height)

  Create a new Image.

Method Detail

### getColormap

    public Colormap getColormap()

  Retrieves the colormap for a given image.

### setColormap

    public void setColormap(Colormap cmap)

  Sets the colormap for the image.